petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESMonitorSolutionUpdate

Monitors progress of the SNES solvers by calling VecView() for the UPDATE to the solution at each iteration.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  SNESMonitorSolutionUpdate(SNES snes,PetscInt its,PetscReal fgnorm,PetscViewerAndFormat *vf)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| its | - iteration number
| fgnorm | - 2-norm of residual
| dummy | - a viewer

### Options Database Keys

-snes_monitor_solution_update [ascii binary draw][:filename][:viewer format] -plots update to solution at each iteration

### See Also

SNESMonitorSet(), SNESMonitorDefault(), VecView()

### Level

intermediate

### Location

src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages